dwt.3d {waveslim} | R Documentation

## Three Dimensional Separable Discrete Wavelet Transform

### Description

Three-dimensional separable discrete wavelet transform (DWT).

### Usage

    dwt.3d(x, wf, J=4, boundary="periodic")
    idwt.3d(y)

### Arguments

`x` | input array
`wf` | name of the wavelet filter to use in the decomposition
`J` | depth of the decomposition, must be a number less than or equal to log(min{Z,Y,Z},2)
`boundary` | only `"periodic"` is currently implemented
`y` | an object of class `dwt.3d`

### Author(s)

B. Whitcher

[Package waveslim version 1.7.5.1 Index]